=== _build/default/lib/bcrypt/Makefile ===
all: compile

compile:
	@rebar compile

tests:
	@rebar eunit

clean:
	@rebar clean

.PHONY: clean compile tests
