=== _build/default/lib/edown/Makefile ===
.PHONY: all compile clean doc

all: compile

compile:
	./rebar compile

clean:
	./rebar clean

doc: compile
	./make_doc
