## op-panel 0.30~dfsg

=== debian/changelog ===
op-panel (0.30~dfsg-3ubuntu1) natty; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/ :
      + 04_callerid.dpatch : Print callerid name and number
      + 05_register.dpatch : Grey out phones that don't have an IP address
      + 07_ming43_buttons.dpatch : Gradient buttons for Ming 0.4.3
      + 08_sampleconfig.dpatch : Improved sample config files
    - Modify all the patches to fit properly with the Debian patches
    - Removed patch 06_ming43.dpatch as it is now in Debian.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Fri, 12 Nov 2010 08:43:12 +0300

op-panel (0.30~dfsg-3) unstable; urgency=low

  [ Gabriele Giacone ]
  * Team upload.
  * Added patch to remove SWFTEXTFIELD_USEFONT refs (Closes: #582377).
  * Standards version to 3.9.1.
  * Forced source format to 1.0.
  * Fixed init script for dependency based boot sequence.

  [ Tzafrir Cohen ]
  * Use a @debian.org email.
  * Dpkg V3 format. Refresh patches while we're at it.

 -- Tzafrir Cohen <tzafrir@debian.org>  Mon, 16 Aug 2010 01:12:49 +0300

op-panel (0.30~dfsg-2ubuntu1) lucid; urgency=low

  * Merge from Debian (pkgvoip svn)
  * New patches:
    * 04_callerid.dpatch : Print callerid name and number
    * 05_register.dpatch : Grey out phones that don't have an IP address
    * 06_ming43.dpatch : Correct code to build with Ming 0.4.3
    * 07_ming43_buttons.dpatch : Gradient buttons for Ming 0.4.3
    * 08_sampleconfig.dpatch : Improved sample config files
  * Modified patch 2 to not re-patch the op_buttons.cfg file

 -- Jean-Michel Dault <jmdault@revolutionlinux.com>  Tue, 19 Jan 2010 14:11:51 -0500

op-panel (0.30~dfsg-2) unstable; urgency=low

  [ Alejandro Rios P. ]
  * New ming can use TTF fonts, so we won't
    use ming-fonts-dejavu anymore (Closes: #560635).
  * Added ${misc:Depends} to op-panel binary.
  * Move op_server to op_server.pl in debian/install.

  [ Tzafrir Cohen ]
  * Use dh_link and dh_install rather than direct copying files

 -- Alejandro Rios P. <alerios@debian.org>  Sat,  02 Dec 2009 14:49:31 -0500

op-panel (0.30~dfsg-1) unstable; urgency=high

  * New upstream release.

  [ Tzafrir Cohen ]
  * New upstream release (Closes: #472658)
  * Add myself to uploaders.
  * Fix bashism in postinst script (Victor Seva) (Closes: #453727).
  * Documented patches we use.
  * Use binary-indep rules rather than binary-arch.
  * Bump standards version to 3.8.0 (no change needed).
  * wget -N conflicts with -O (Closes: #482175).
  * Fix get-orig-source for ~dfsg.

  [ Patrick Matthäi ]
  * Do not ignore errors in postrm script.
    Thanks lintian.

  [ Alejandro Rios P. ]
  * Remove prototype.js and symlink to libjs-prototype (Closes: #475294).
  * Remove scriptaculous.js and symlink to libjs-scriptaculous
    to make lintian happy.
  * Don't install files under /var/www (Closes: #553551).
  * Depend on libjs-prototype >= 1.6.0.2 to fix CVE-2007-2383 and
    CVE-2008-7220, urgency=high (Closes: #555234).
  * Bump standards version to 3.8.3:
     * Create /var/run/op-panel on init script.
     * Added debian/README.source to describe dpatch usage.

 -- Alejandro Rios P. <alerios@debian.org>  Sat,  14 Nov 2009 17:49:31 -0500

op-panel (0.27.dfsg-2) unstable; urgency=low

  * prerm: remove alternatives only if they exist (Closes: #434598)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 01 Sep 2007 19:53:05 -0500

op-panel (0.27.dfsg-1) unstable; urgency=low

  * New upstream version: 0.27
  * Added debian/watch

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 27 Apr 2007 17:54:34 -0500

op-panel (0.26.dfsg-6) unstable; urgency=medium

  * Included missing license statements on copyright (Closes: #409570).

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Sat,  3 Feb 2007 17:49:31 -0500

op-panel (0.26.dfsg-5) unstable; urgency=high

  * Added LSB part to init script.
  * Removed unneeded debian/todo file
  * Added missing stuff on debian/copyright.
  * Use asterisk user instead of op-panel to allow restarting
    for processes on asterisk group (say daestar, freepbx, etc.) (Closes: #398380).

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Tue, 14 Nov 2006 00:50:06 -0500

op-panel (0.26.dfsg-4) unstable; urgency=low

  * Spelling mistake in package description (Closes: #390244)
  * Updated ming version dependencies

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 26 Oct 2006 00:46:28 -0500

op-panel (0.26.dfsg-3) unstable; urgency=low

  * Moved op-panel .pid file to /var/run/op-panel

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 13 Oct 2006 10:07:40 -0500

op-panel (0.26.dfsg-2) unstable; urgency=low

  [Diego Iastrubni]
  * This package provides a manager user for asterisk
  * Now op-panel runs with a separate user.
  * Improved postinst.
 
  [Kilian Krause]
  * fix clean target in debian/rules:68: *** missing separator 

  [Alejandro Rios]
  * Fixed man page and updated README.Debian
  * Remove all alternatives at package removal.
  * Changed /var/www/ op-panel links to flash and dhtml frontends.
  * Fixed init file so it won't break on upgrading, purging, etc. Closes: #386638

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Sun, 10 Sep 2006 14:20:55 -0500

op-panel (0.26.dfsg-1) unstable; urgency=low
 
  [Santiago Ruano Rincón]
  * Fixed the ming's fonts dependencies

  [Alejandro Rios P.]
  * Initial Release, based on the Tzafrir Cohen's package. Closes: #323689

 -- Alejandro Rios P. <alejandro.rios@avatar.com.co>  Mon, 15 Aug 2006 15:29:55 -0500
