=== debian/control ===
Source: op-panel
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Alejandro Rios P. <alerios@debian.org>, Kilian Krause <kilian@debian.org>,
 Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: perl (>= 5), libswf-perl (>= 0.3.0-8), ttf-dejavu-core
Standards-Version: 3.9.1
Homepage: http://www.asternic.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/op-panel/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/op-panel/?op=log

Package: op-panel
Architecture: all
Depends: perl (>= 5), adduser, libjs-prototype (>= 1.6.0.2), libjs-scriptaculous (>= 1.8.1), ${misc:Depends}
Recommends: asterisk
Enhances: destar
Description: switchboard type application for the Asterisk PBX
 Flash Operator Panel is a switchboard type application for
 the Asterisk PBX. It runs on a web browser with the flash plugin.
 .
 It is able to display information about your PBX activity in real time.
 The layout is configurable (button sizes and colors, icons, etc). You can
 have more than 100 buttons active per screen.
 .
 It also supports contexts: you can have one server running and many
 different client displays (for hosted PBX, different departments,
 etc). It can integrate with CRM software, by popping up a web page
 (and passing the CLID) when a specified button is ringing.
