=== debian/watch ===
version=3
opts=uversionmangle=s/^/0./,dversionmangle=s/[\.~]dfsg// \
 http://www.asternic.org/download.php files/op_panel-0.(.*)\.tar\.gz debian svn-upgrade
