## op-panel 18.02.0.rc13.370.g6ad818b

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 .PHONY: eunit
 eunit: config
-	$(REBAR) do eunit skip_deps=true suites=${SUITES}, cover
+	$(REBAR) do eunit skip_deps=true --suite=${SUITES}, cover
 ## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
 	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done
