=== _build/default/lib/gui/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 ##
 
 eunit:
-	./rebar3 do eunit skip_deps=true suites=${SUITES}, cover
+	./rebar3 do eunit skip_deps=true --suite=${SUITES}, cover
 ## Rename all tests in order to remove duplicated names (add _(++i) suffix to each test)
 	@for tout in `find test -name "TEST-*.xml"`; do awk '/testcase/{gsub("_[0-9]+\"", "_" ++i "\"")}1' $$tout > $$tout.tmp; mv $$tout.tmp $$tout; done
