=== _build/default/lib/cowboy/examples/eventsource/Makefile ===
PROJECT = eventsource
PROJECT_DESCRIPTION = Cowboy EventSource example
PROJECT_VERSION = 1

DEPS = cowboy
dep_cowboy_commit = master

include ../../erlang.mk
