=== _build/default/lib/cowboy/examples/rest_pastebin/Makefile ===
PROJECT = rest_pastebin
PROJECT_DESCRIPTION = Cowboy REST Pastebin example
PROJECT_VERSION = 1

DEPS = cowboy
dep_cowboy_commit = master

include ../../erlang.mk
